#pragma once

#ifndef _CLOCK_H
#define _CLOCK_H

/* Includes */
#include "main.h"

/* macro */
#define FADE_START      0
#define FADE_STOP       15
#define FADE_STEP       1

/* time constant in ms */
#define BTN_SCAN_PERIOD     10
#define BTN_SCAN_PAUSE      200
#define BTN_TIME_PRESSED    30
#define BTN_TIME_HOLDED     500
#define BTN_TIME_REPEATED   50

/* Display timeout, sec */
#define DISP_WDT_TIME   10

/* variables */
extern rtc_t Clock;

/* function prototypes */
//void Clock_Init(void);
void btnProcess(void);
void new_Second(void);

#endif /* _CLOCK_H */
